Bug 559712 - not all Samba share boolean parameter values get auto-discovered
not all Samba share boolean parameter values get auto-discovered
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: RHQ_Config rhq_triage
  Show dependency treegraph
 
Reported: 2010-01-28 14:53 EST by John Sefler
Modified: 2014-05-27 14:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-27 14:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2010-01-28 14:53:59 EST
Description of problem:
Not all boolean valued share parameters are discovered by RHQ from the /etc/samba/smb.conf file.  The following parameters require a boolean value:

share modes
browseable
read only
printable
guest ok

valid boolean values include
yes, Yes, YeS, True, true, TrUe, 1, ....    
no, No, NO, False, false, FaLsE, 0, .... 

you get the idea....



How reproducible:


Steps to Reproduce:
1. manually append the following share to /etc/samba/smb.conf
[myshare]
   path = /tmp/myshare
   share modes = True
   browseable = yes
   read only = NO
   printable = 0
   guest ok = 1

2. manually do an auto-discover from RHQ
3. open the CONFIGURATION tab for the discovered "myshare share"
BANG!
  
Actual results:
Notice that RHQ does not recognize the boolean values.  They appear as if they are unset.  Currently RHQ seems to only reflect the boolean values from the /etc/samba/smb.conf file when they are set to 'true' or 'false'


Expected results:
The "Yes" or "No" radio button for each of the boolean config parameters should be set to when any of the valid boolean values are set in the config file.


Additional info:
Try running the following from the command line to validity of the values set in the samba config file:
[root@auto-rhq ~]# testparm -vs --section-name myshare --parameter-name "share modes"
Comment 1 wes hayutin 2010-02-08 14:45:15 EST
Charles does not want this worked on until the feature is back on the road map,
removing the automation blocker tag.
Comment 2 wes hayutin 2010-02-16 11:55:20 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:00:37 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-09-30 10:06:29 EDT
lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.